package com.lutao.cloud.test.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import com.lutao.cloud.test.WithMockSecurityContextFactory;

import org.springframework.security.test.context.support.WithSecurityContext;

/**

 * @date 2020/9/22
 * <p>
 * WithMockOAuth2User 注解
 */
@Retention(RetentionPolicy.RUNTIME)
@WithSecurityContext(factory = WithMockSecurityContextFactory.class)
public @interface WithMockOAuth2User{

	/**
	 * 用户名
	 */
	String username() default "admin";

	/**
	 * 密码
	 */
	String password() default "123456";

	/**
	 * 设备id
	 * @return
	 */
	String deviceId() default "device0111";

	/**
	 * 登录设备类型
	 * @return
	 */
	String loginType() default "web";

	/**
	 * 租户编号 默认租户编号1
	 */
	int tenant() default 1;

}